/*------------------------------------
	@COMPONENTS #AUTHORS
--------------------------------------*/

.author {
	@extend .card__author;

	display: inline-flex;
	vertical-align: middle;
	margin-left: rem-calc(4);

	 > dt {
		font-size: rem-calc(12);
	 	margin-right: rem-calc(6);
	 }

	 > dd {
	 	margin-top: rem-calc(1);
	 }
}

.author-heading {
	font-weight: 400;
	border-bottom: rem-calc(1) solid #e0e0e0;
	padding-bottom: rem-calc(20);
	margin-bottom: rem-calc(34);
}

.author-pencil {
	font-size: rem-calc(16);
	margin-bottom: rem-calc(54);

	@media (min-width: $xs) {
		align-items: flex-start;
		display: flex;
	}

	> dt {
		display: inline-block;
		border-radius: 50%;
		overflow: hidden;
		line-height: 0;
		flex-shrink: 0;

		@media (min-width: $xs) {
			margin-right: rem-calc(32);
		}

		> img {
			margin-bottom: 0;
		}
	}
}

.author-pencil__name {
	color: inherit;
	font-size: rem-calc(22);
}

.author-post {
	color: inherit !important;
	display: block;
	transition: all 0.5s ease;

	&:hover {
		box-shadow: 0 15px 45px -5px rgba(31, 32, 68, 0.3);
		transform: scale(1.01);
	}
}

	.author-post__title {
		font-size: rem-calc(30);
	}

	.author-post__preview {
		display: block;
		font-size: rem-calc(16);
	}

	.author-post__body {
		display: block;
		padding: rem-calc(32) rem-calc(20) rem-calc(40);
	}
